$(function() {
	// Menu mobile
	var fixed = false
	var headerHeight = $('header').outerHeight()
	$(window).scroll(function() {
		if ($('.burger').hasClass('open')) {
			$('.burger, .menu-wrapper').removeClass('open')
		}

		if ($('.check').is(':visible')) {
			//checar se é mobile através da helper class "check"
			if (scrollY > headerHeight && fixed == false) {
				$('header').addClass('fixed')
				$('.content').css({ 'margin-top': headerHeight + 'px' })
				fixed = true
			} else if (scrollY == 0 && fixed == true) {
				$('header').removeClass('fixed')
				$('.content').removeAttr('style')
				fixed = false
			}
		}
	})

	$(window).resize(function() {
		if ($('.burger').hasClass('open')) {
			$('.burger, .menu-wrapper').removeClass('open')
		}

		if (!$('.check').is(':visible')) {
			$('header').removeClass('fixed')
			$('.content').removeAttr('style')
			fixed = false
		} else {
			headerHeight = $('header').outerHeight()
		}
	})

	$('.burger-wrapper').click(function() {
		$('.burger, .menu-wrapper').toggleClass('open')
	})
})
